Chuyển đến nội dung
Diễn đàn CADViet
latdat

biến hình tròn thành hình đa giác (help help)

Các bài được khuyến nghị

Chào các bác 

 

em có  100 hình tròn kích thước các kiểu trong 1 file cad - bây giờ em muốn biến nó 1 cách tự động thành 100 hình lục giác nội tiếp bên trong các hình tròn đó

 

Bác nào có giải pháp thì giúp em với

 

Thanks nhiều nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

việc này có thể làm được với lisp ở mức chấp nhận được, nói chấp nhận được là vì có thể tạo ra một Polyline đa giác đều n cạnh thay thế hình tròn tại vị trí cũ, nhưng mà hướng quay của Polyline thì chưa biết, nên chỉ tạm chấp nhận thôi, bạn thấy yêu cầu về huớng quay có quan trọng không/

Nếu không thì xài tạm.


(defun c:thunghiem(/ N i Radi ent p10)

(vl-load-com)

(setvar "cmdecho" 0)

  (or #N (setq #N 100))

  (setq N (cond ((getint (strcat "\nCho so canh <" (rtos #N 2 0) ">"))) (#N))

#N N)

  (foreach i (acet-ss-to-list(ssget '(( 0 . "CIRCLE"))))

    (setq Radi (cdr(assoc 40 (setq ent (entget i)))) p10 (cdr(assoc 10 ent)))

    (entdel i)

    (vl-cmdf "POLYGON" N p10 "C" Radi))

(setvar "cmdecho" 1)

  (princ)

  )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

phải là tuỳ chọn "i" (thay cho "C") nếu lục giác nội tiếp chứ ?!

& nếu quan tâm đến góc xoay thì chơi kiểu đại loại như:

 

(command "polygon" 6 (getpoint "\nchon: ") "i" "@50<30")

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×